﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Advania.Signet.Cloud2Connector.Models
{
    public class AddDocumentRequest
    {
        public string DocumentNotes { get; set; }
        public bool DontAddPage { get; set; }
        public string Metadata { get; set; }               
        public DateTime? StartSigning { get; set; }
        public DateTime? EndSigning { get; set; }
        public bool Ordered { get; set; }
        public bool Notify { get; set; }
        public bool Archive { get; set; }
        public int MininumSigners { get; set; }
        public string Reason { get; set; }
        public bool AttachXml { get; set; }
        public SealType SealDocuments { get; set; }
        /// <summary>
        /// List of documents
        /// </summary>
        public List<Document> Documents { get; set; }
        /// <summary>
        /// List of signers
        /// </summary>
        public List<DocumentSigner> Signers { get; set; }


        public enum SealType
        {
            /// <summary>
            /// Don't seal documents
            /// </summary>            
            None = 0,
            /// <summary>
            /// Seal all documents
            /// </summary>
            All = 1,
            /// <summary>
            /// Seal XML documents
            /// </summary>
            Xml = 2,
            /// <summary>
            /// Seal PDF documents
            /// </summary>
            PDF = 3
        }
    }
}
